compact1, compact2, compact3
java.time

## Class DateTimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.time.DateTimeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    DateTimeParseException, UnsupportedTemporalTypeException, ZoneRulesException

      public class DateTimeException
      extends RuntimeException

  Exception used to indicate a problem while calculating a date-time.

  This exception is used to indicate problems with creating, querying and manipulating date-time objects.

  Implementation Requirements:
    This class is intended for use in a single thread.
  Since:
    1.8
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DateTimeException(String message)` | Constructs a new date-time exception with the specified message.
    `DateTimeException(String message, Throwable cause)` | Constructs a new date-time exception with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DateTimeException

          public DateTimeException(String message)

      Constructs a new date-time exception with the specified message.
      Parameters:
        `message` - the message to use for this exception, may be null

    - #### DateTimeException

          public DateTimeException(String message,
                                   Throwable cause)

      Constructs a new date-time exception with the specified message and cause.
      Parameters:
        `message` - the message to use for this exception, may be null
        `cause` - the cause of the exception, may be null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.